/*
Package translations contains the generated Go file built by the "kurzd generate-translations"
command.

It MUST NOT be edited by hand.
*/
package translations

import (
	"github.com/nicksnyder/go-i18n/v2/i18n"
	"golang.org/x/text/language"
	"log"
)

type MessageMap map[language.Tag][](*i18n.Message)

// Provide a stub loader to allow compilation before the first translations generation.
var loadMessages func(bundle *i18n.Bundle) error = func(bundle *i18n.Bundle) error {
	log.Println("Running the stub translations loader. Only useful to run generate-translations.")
	return nil
}

func MustLoadMessages(b *i18n.Bundle) {
	// This function is created when running kurzd generate-translations.
	err := loadMessages(b)
	if err != nil {
		panic(err)
	}
}
